Get Applications
/unified/ats/applications/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The date and time of the application's creation
5 supported
The application's attachments
3 supported
The attachment's unique identifier
The attachment's application
1 property
Unique identifier of the application
The attachment's type
The attachment's candidate
1 property
Unique identifier of the candidate
The date and time of the attachment's creation
The attachment's file_name
The attachment's file_url
The attachment's job
1 property
Unique identifier of the job
The date and time of the attachment's last update
The application's candidate
6 supported
Unique identifier of the candidate
The date and time of the application's creation
7 supported
The application's credited_to
3 supported
3 properties
Email of the user
Whether the email is primary
Type of the email
First name of the user
Unique identifier of the user
Last name of the user
The application's current_stage
7 supported
The date and time of the application's current_stage's creation
The application's current_stage's unique identifier
The application's current_stage's job
1 property
Unique identifier of the job
The application's current_stage's name
The date and time of the application's current_stage's last update
The application's unique identifier
7 supported
The application's job
7 supported
Unique identifier of the job
The application's reject_reason
3 supported
The date and time of the application's rejection
3 supported
Raw data returned from the remote API call.
The application's source
3 supported
The application's source's unique identifier
The application's source's name
The date and time of the application's last update
7 supported
curl -X GET 'https://api.truto.one/unified/ats/applications/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ats/applications/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ats/applications/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'ats',
'applications',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"ats",
"applications",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())